#include <Grove_LED_Bar.h> // includes the library to run the LED bar

Grove_LED_Bar bar(7, 6, 0);  // Clock pin, Data pin, Orientation

const int soundSensor = A0;   // set the sound sensor to pin A0

int soundValue = 0;

void setup()
{
  bar.begin();
  Serial.begin(9600);
}

void loop()
{
  soundValue = analogRead(soundSensor);
  Serial.print("soundValue: ");
  Serial.println(soundValue);
  /* if the value is larger than threshold, turn on led */
  int level = map(soundValue, 11, 500, 0, 10); //1, 2: decibel range; 3, 4: LED range
  Serial.print("level: ");
  Serial.println(level);
  bar.setLevel(level);
  delay(100);
}
